package com.libreecm.commonAPI.model.enums;

/**
 * ACL Capability Enum: Supported Permissions.
 */
public enum SupportedPermissions {

    BASIC("basic"), REPOSITORY("repository"), BOTH("both");
    private final String value;

    SupportedPermissions(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SupportedPermissions fromValue(String v) {
        for (SupportedPermissions c : SupportedPermissions.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
}
